NXOpen C++ Reference Guide
 All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
Public Types | Public Member Functions | List of all members
NXOpen::GeometricUtilities::RodItemBuilder Class Reference

Represents a RodItem
To create a new instance of this class, use NXOpen::GeometricUtilities::RodItemListBuilder::CreateRodItemBuilder

Created in NX1847.0.0. More...

Inheritance diagram for NXOpen::GeometricUtilities::RodItemBuilder:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CurveCreateType { CurveCreateTypeByPoints, CurveCreateTypeExistingCurves }
 These represent the type of curves to be created. More...
 

Public Member Functions

void Destroy ()
 Deletes a Features.RodItemBuilder
Created in NX1847.0.0. More...
 
NXOpen::PointEndPoint ()
 Returns the end point
Created in NX1847.0.0. More...
 
NXOpen::SectionGraphEdge ()
 Returns the section defining the unit cell graph. More...
 
NXOpen::GeometricUtilities::RodItemBuilder::CurveCreateType Method ()
 Returns the rod creation method. More...
 
int NumberOfSegments ()
 Returns the number of segments of the non-linear curve devided into a polyline
Created in NX1847.0.0. More...
 
void SetEndPoint (NXOpen::Point *point)
 Sets the end point
Created in NX1847.0.0. More...
 
void SetMethod (NXOpen::GeometricUtilities::RodItemBuilder::CurveCreateType method)
 Sets the rod creation method. More...
 
void SetNumberOfSegments (int numberOfSegments)
 Sets the number of segments of the non-linear curve devided into a polyline
Created in NX1847.0.0. More...
 
void SetStartPoint (NXOpen::Point *point)
 Sets the start point of the rod. More...
 
NXOpen::PointStartPoint ()
 Returns the start point of the rod. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a RodItem
To create a new instance of this class, use NXOpen::GeometricUtilities::RodItemListBuilder::CreateRodItemBuilder

Created in NX1847.0.0.


Member Enumeration Documentation

These represent the type of curves to be created.

Enumerator
CurveCreateTypeByPoints 

Create by points.

CurveCreateTypeExistingCurves 

Create by existing curves.

Member Function Documentation

void NXOpen::GeometricUtilities::RodItemBuilder::Destroy ( )

Deletes a Features.RodItemBuilder
Created in NX1847.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::Point* NXOpen::GeometricUtilities::RodItemBuilder::EndPoint ( )

Returns the end point
Created in NX1847.0.0.



License requirements : None

NXOpen::Section* NXOpen::GeometricUtilities::RodItemBuilder::GraphEdge ( )

Returns the section defining the unit cell graph.

It can contain curves or edges. It is used only if the method is set to existing curves
Created in NX1847.0.0.

License requirements : None

NXOpen::GeometricUtilities::RodItemBuilder::CurveCreateType NXOpen::GeometricUtilities::RodItemBuilder::Method ( )

Returns the rod creation method.

The 2 choices are a rod defined by 2 selected points or a section defined by existing curves.
Created in NX1847.0.0.

License requirements : None

int NXOpen::GeometricUtilities::RodItemBuilder::NumberOfSegments ( )

Returns the number of segments of the non-linear curve devided into a polyline
Created in NX1847.0.0.



License requirements : None

void NXOpen::GeometricUtilities::RodItemBuilder::SetEndPoint ( NXOpen::Point point)

Sets the end point
Created in NX1847.0.0.



License requirements : nx_lattice_base (" NX Lattice Base")

Parameters
pointpoint
void NXOpen::GeometricUtilities::RodItemBuilder::SetMethod ( NXOpen::GeometricUtilities::RodItemBuilder::CurveCreateType  method)

Sets the rod creation method.

The 2 choices are a rod defined by 2 selected points or a section defined by existing curves.
Created in NX1847.0.0.

License requirements : nx_lattice_base (" NX Lattice Base")

Parameters
methodmethod
void NXOpen::GeometricUtilities::RodItemBuilder::SetNumberOfSegments ( int  numberOfSegments)

Sets the number of segments of the non-linear curve devided into a polyline
Created in NX1847.0.0.



License requirements : nx_lattice_base (" NX Lattice Base")

Parameters
numberOfSegmentsnumberofsegments
void NXOpen::GeometricUtilities::RodItemBuilder::SetStartPoint ( NXOpen::Point point)

Sets the start point of the rod.

Used only if the rod creation method is set to by points.
Created in NX1847.0.0.

License requirements : nx_lattice_base (" NX Lattice Base")

Parameters
pointpoint
NXOpen::Point* NXOpen::GeometricUtilities::RodItemBuilder::StartPoint ( )

Returns the start point of the rod.

Used only if the rod creation method is set to by points.
Created in NX1847.0.0.

License requirements : None

virtual bool NXOpen::GeometricUtilities::RodItemBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.